{*
** @author Pagadito <soporte@pagadito.com>
** @copyright  2015 Pagadito
** @version  Release: $Revision: 1.0.0 $
**
** International Registered Trademark & Property of Pagadito
**
** Description: Pagadito addon's configuration page
**
** This template is displayed in the Back-office section of your store when you are configuring the Pagadito's addon
** It allows you to enable Pagadito on your store and to configure your credentials and preferences
**
*}

<div class="pagadito-module-wrapper">
    <div class="pagadito-module-header">
        <img src="{$pagadito_tracking|escape:'htmlall':'UTF-8'}" alt="" style="display: none;" />
        <a rel="external" href="https://www.pagadito.com/index.php?mod=mnreg" target="_blank"><img class="pagadito-logo" alt="" src="{$module_dir}/img/logo.jpg" /></a>
        <span class="pagadito-module-intro">{l s='Pagadito is the #1 solution to start accepting payments on the web today' mod='pagaditops'}.<br />
            <a class="pagadito-module-create-btn L" rel="external" href="https://www.pagadito.com/index.php?mod=mnreg" target="_blank"><span>{l s='Sign Up' mod='pagaditops'}</span></a></span>
    </div>
    {if $pagadito_validation}
        <div class="conf">
            {foreach from=$pagadito_validation item=validation}
                {$validation|escape:'htmlall':'UTF-8'}<br />
            {/foreach}
        </div>
    {/if}
    {if $pagadito_error}
        <div class="error">
            {foreach from=$pagadito_error item=error}
                {$error|escape:'htmlall':'UTF-8'}<br />
            {/foreach}
        </div>
    {/if}
    {if $pagadito_warning}
        <div class="info">
            {foreach from=$pagadito_warning item=warning}
                {$warning|escape:'htmlall':'UTF-8'}<br />
            {/foreach}
        </div>
    {/if}
    <br />
    <form action="{$pagadito_form_link|escape:'htmlall':'UTF-8'}" method="post" id="pagadito_pagadito_api_settings" class="half-form L">
        <fieldset>
            <legend><img src="{$module_dir}img/settings.gif" alt="" /><span>{l s='Pagadito API Settings' mod='pagaditops'}</span></legend>
            <div id="pagadito-basic-settings-table">
                <label for="pagadito_sandbox_on">{l s='Mode' mod='pagaditops'}</label>
                <div class="margin-form PT4">
                    <input type="radio" name="pagadito_sandbox" id="pagadito_sandbox_on" value="0"{if $pagadito_configuration.PAGADITO_SANDBOX == 0} checked="checked"{/if} /> <label for="pagadito_sandbox_on" class="resetLabel">{l s='Live' mod='pagaditops'}</label>
                    <input type="radio" name="pagadito_sandbox" id="pagadito_sandbox_off" value="1"{if $pagadito_configuration.PAGADITO_SANDBOX == 1} checked="checked"{/if} /> <label for="pagadito_sandbox_off" class="resetLabel">{l s='Test (Sandbox)' mod='pagaditops'}</label>
                    <p>
                        {l s='Use the links below to retreive your Pagadito API credentials:' mod='pagaditops'}<br />
                        <a href="https://www.pagadito.com" target="_blank" class="pagadito-module-btn">{l s='Live Mode API' mod='pagaditops'}</a>
                        &nbsp;&nbsp;&nbsp;//&nbsp;&nbsp;&nbsp;
                        <a href="https://sandbox.pagadito.com/" target="_blank" class="pagadito-module-btn">{l s='Sandbox Mode API' mod='pagaditops'}</a>
                    </p>
                </div>
                <label for="pagadito_uid">{l s='Pagadito API UID:' mod='pagaditops'}</label></td>
                <div class="margin-form">
                    <input type="text" name="pagadito_uid" class="input-text" value="{if $pagadito_configuration.PAGADITO_UID}{$pagadito_configuration.PAGADITO_UID|escape:'htmlall':'UTF-8'}{/if}" /> <sup>*</sup>
                </div>
                <label for="pagadito_wsk">{l s='Pagadito API WSK:' mod='pagaditops'}</label></td>
                <div class="margin-form">
                    <input type="text" name="pagadito_wsk" class="input-text" value="{if $pagadito_configuration.PAGADITO_WSK}{$pagadito_configuration.PAGADITO_WSK|escape:'htmlall':'UTF-8'}{/if}" /> <sup>*</sup>
                </div>
                <label for="pagadito_allow_pending_payments_on">{l s='Allow Pending Payments' mod='pagaditops'}</label>
                <div class="margin-form">
                    <input type="radio" name="pagadito_allow_pending_payments" id="pagadito_allow_pending_payments_on" value="1"{if $pagadito_configuration.PAGADITO_ALLOW_PENDING_PAYMENTS == 1} checked="checked"{/if} /> <label for="pagadito_allow_pending_payments_on" class="resetLabel">{l s='Yes' mod='pagaditops'}</label>
                    <input type="radio" name="pagadito_allow_pending_payments" id="pagadito_allow_pending_payments_off" value="0"{if $pagadito_configuration.PAGADITO_ALLOW_PENDING_PAYMENTS == 0} checked="checked"{/if} /> <label for="pagadito_allow_pending_payments_off" class="resetLabel">{l s='No' mod='pagaditops'}</label>
                </div>
            </div>
            <div class="margin-form">
                <input type="submit" name="SubmitSettings" class="button" value="{l s='Save settings' mod='pagaditops'}" />
            </div>
            <span class="small"><sup style="color: red;">*</sup> {l s='Required fields' mod='pagaditops'}</span>
        </fieldset>
    </form>
</div>